camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Claus Ibsen <claus.ib...@gmail.com>
Subject Re: Cannot install camel-hazelcast 2.17 in Karaf 3.x
Date Thu, 31 Mar 2016 17:43:35 GMT
Install the client first

install -s mvn:com.hazelcast/hazelcast-client/3.6.1
install -s mvn:com.hazelcast/hazelcast/3.6.1

On Thu, Mar 31, 2016 at 7:33 PM, akpcnu <srinivas@live.com> wrote:
> This is continuation to the discussion we had on  JIRA
> <https://issues.apache.org/jira/browse/CAMEL-9780>   (
> https://issues.apache.org/jira/browse/CAMEL-9780
> <https://issues.apache.org/jira/browse/CAMEL-9780>  ),
>
> I couldn't install camel-hazelcast 2.17 on karaf. Claus has suggested couple
> of workarounds to install hazelcast. The last one I have tried from the JIRA
> is installing hazelcast client 3.6.1 first then installing hazelcast 3.6.1,
> then camel-hazelcast 2.17.
>
> After doing the same steps, I couldn't get the hazelcast active on karaf.
> Here is the error.
>
>
> Error executing command: Error executing command on bundles:
>         Unable to execute command on bundle 259: Unresolved constraint in bundle
> com.hazelcast [259]: Unable to resolve 259.0: missing requirement [259.0]
> osgi.wiring.package;
> (osgi.wiring.package=com.hazelcast.client.impl.protocol.codec)
>
> Appreciate your help!
> Srinivas
>
>
>
>
> --
> View this message in context: http://camel.465427.n5.nabble.com/Cannot-install-camel-hazelcast-2-17-in-Karaf-3-x-tp5780173.html
> Sent from the Camel - Users mailing list archive at Nabble.com.



-- 
Claus Ibsen
-----------------
http://davsclaus.com @davsclaus
Camel in Action 2: https://www.manning.com/ibsen2

Mime
View raw message